Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activation
Class CommandInfo

    java.lang.Object
      javax.activation.CommandInfo

    public class CommandInfo

extends Object

The CommandInfo class is used by CommandMap implementations to describe the results of command requests. It provides the requestor with both the verb requested, as well as an instance of the bean. There is also a method that will return the name of the class that implements the command but it is not guaranteed to return a valid value. The reason for this is to allow CommandMap implmentations that subclass CommandInfo to provide special behavior. For example a CommandMap could dynamically generate JavaBeans. In this case, it might not be possible to create an object with all the correct state information solely from the class name.

Since:
  1.6

Constructor Summary
`CommandInfo(String verb, String className)` The Constructor for CommandInfo.

Method Summary
`String` | `getCommandClass()` Return the command's class name.
`String` | `getCommandName()` Return the command verb.
`Object` | `getCommandObject(DataHandler dh, ClassLoader loader)` Return the instantiated JavaBean component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandInfo

    public CommandInfo(String verb,
                       String className)

  The Constructor for CommandInfo.

  Parameters:
    `verb` - The command verb this CommandInfo decribes.
    `className` - The command's fully qualified class name.

Method Detail

### getCommandName

    public String getCommandName()

  Return the command verb.

  Returns:
    the command verb.

### getCommandClass

    public String getCommandClass()

  Return the command's class name. This method MAY return null in cases where a CommandMap subclassed CommandInfo for its own purposes. In other words, it might not be possible to create the correct state in the command by merely knowing its class name. DO NOT DEPEND ON THIS METHOD RETURNING A VALID VALUE!

  Returns:
    The class name of the command, or null

### getCommandObject

    public Object getCommandObject(DataHandler dh,
                                   ClassLoader loader)
                            throws IOException,
                                   ClassNotFoundException

  Return the instantiated JavaBean component.

  Begin by instantiating the component with `Beans.instantiate()`.

  If the bean implements the `javax.activation.CommandObject` interface, call its `setCommandContext` method.

  If the DataHandler parameter is null, then the bean is instantiated with no data. NOTE: this may be useful if for some reason the DataHandler that is passed in throws IOExceptions when this method attempts to access its InputStream. It will allow the caller to retrieve a reference to the bean if it can be instantiated.

  If the bean does NOT implement the CommandObject interface, this method will check if it implements the java.io.Externalizable interface. If it does, the bean's readExternal method will be called if an InputStream can be acquired from the DataHandler.

  Parameters:
    `dh` - The DataHandler that describes the data to be passed to the command.
    `loader` - The ClassLoader to be used to instantiate the bean.
  Returns:
    The bean
  Throws:
    `IOException`
    `ClassNotFoundException`
  See Also:
    `Beans.instantiate(java.lang.ClassLoader, java.lang.String)`, `CommandObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.